> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/39.-mutasjon-angi-egendefinerte-fargeskjemaer-for-valgte-geomaps.md).

# 39. Mutasjon: Angi egendefinerte fargeskjemaer for valgte "GeoMaps"

Sett egendefinerte fargeschema for datalag: "ZonesMaps", "SoilDatasets".&#x20;

Støtte for andre datalag ("YieldDataset", "TopographyMaps", "SatelliteImages") kommer.

Oppdater alle attributter for "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    kortNavn
    fulltNavn
    beskrivelse
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Oppdater bare fargeschemaer for "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    kortNavn
    fulltNavn
    beskrivelse
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**VIKTIG** punkter for å lære hvordan du bruker mutasjonen:

1. Attributter `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, og `kortNavn` er obligatoriske for å identifisere riktig "GeoMap" som skal endres. Alle disse tre attributtene sammen reflekterer unikheten til "GeoMap".
2. Enten `soilDatasetUuid` eller `vectorAnalysisMapUuid` attributt må brukes per enkelt "GeoMap"-input.
3. Verdien av `kortNavn` må være den samme som i originalen i "GeoMap". Den kan ikke redigeres.
4. Attributter `fulltNavn`, `beskrivelse`, `hexColorCodes` er redigerbare for "ZonesMaps" og kan endres. Endringene blir ikke brukt hvis attributtet ikke er nevnt.
5. Attributter `fulltNavn`, `beskrivelse`, `classes`, `hexColorCodes` er redigerbare for "SoilDatasets" og kan endres. Endringene blir ikke brukt hvis attributtet ikke er nevnt.
6. Arrayer `classes` og `hexColorCodes`  må ha nøyaktig samme lengde som originalen i "GeoMap".
7. Lengden på "GeoMaps"-arrayene i forespørselen og svaret må være den samme. Hvis ikke, ble noen "GeoMaps" ikke redigert vellykket.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/39.-mutasjon-angi-egendefinerte-fargeskjemaer-for-valgte-geomaps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
